//
//  IPMenuletPreferenceController.m
//  IPMenulet
//
//  Created by Andrew Turner on 9/25/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import "IPMenuletPreferenceController.h"

NSString *IPServiceURLKey=@"IPMenulet Service URL";
NSString *IPUpdateTimeKey=@"IPMenulet Update Time";

@implementation IPMenuletPreferenceController

-(id)init
{
    if(self=[super initWithWindowNibName:@"Preferences"])
        [self setWindowFrameAutosaveName:@"PrefWindow"];
        
    return self;
}

+(void)initialize
{
    NSMutableDictionary *defaultValues=[NSMutableDictionary dictionary];
    [defaultValues 
		setObject:[NSString stringWithString:@"http://highearthorbit.com/service/myip.php"] 
		forKey:IPServiceURLKey];
    [defaultValues setObject:[NSNumber numberWithFloat:1000.0 forKey:IPUpdateTimeKey];
    [[NSUserDefaults standardUserDefaults] registerDefaults: defaultValues];
}

-(void)windowDidLoad
{
    [ipServiceURL setStringValue:[[NSUserDefaults standardUserDefaults]
            stringForKey:IPServiceURLKey]];
    [updateTime setStringValue:[[NSUserDefaults standardUserDefaults]
            stringForKey:IPUpdateTimeKey]];
}

- (void)windowWillClose:(NSNotification *)aNotification
{
    [geolocationURL abortEditing];
    [geolocationURL setStringValue:[[NSUserDefaults standardUserDefaults] 
            stringForKey:STGeolocationURLKey]];
}

@end
